<!DOCTYPE html>
<html lang="en">
<head>
    <title>Address Book
        <?php if (!empty($user->getNick())): ?>
            &nbsp;-&nbsp;<?= $user->getNick() ?>
        <?php endif; ?>
    </title>
    <link rel="stylesheet" href="/assets/styles/main.css">
</head>

<body>
<h1>Address Book</h1>
<a href="<?= $router->path('app_main'); ?>">&#8962;&nbsp;Home</a>
<a href="<?= $router->path('app_admin'); ?>">&#9881;&nbsp;Admin</a>
<?php if (empty($user) || $user->getAuth() == \App\Enums\UserAuth::AUTH_ANONYMOUS): ?>
    <a href="<?= $router->path('app_login'); ?>">&#9094;&nbsp;Login</a>
<?php else: ?>
    <a href="<?= $router->path('app_logout'); ?>">&#9099;&nbsp;Logout</a>
<?php endif; ?>

<br>
